"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toSlugFile = exports.toVietnameseSlug = void 0;
function toVietnameseSlug(str, character = "-") {
    let slug = str.toLowerCase();
    slug = slug.replace(/á|à|ả|ạ|ã|ă|ắ|ằ|ẳ|ẵ|ặ|â|ấ|ầ|ẩ|ẫ|ậ/gi, "a");
    slug = slug.replace(/é|è|ẻ|ẽ|ẹ|ê|ế|ề|ể|ễ|ệ/gi, "e");
    slug = slug.replace(/i|í|ì|ỉ|ĩ|ị/gi, "i");
    slug = slug.replace(/ó|ò|ỏ|õ|ọ|ô|ố|ồ|ổ|ỗ|ộ|ơ|ớ|ờ|ở|ỡ|ợ/gi, "o");
    slug = slug.replace(/ú|ù|ủ|ũ|ụ|ư|ứ|ừ|ử|ữ|ự/gi, "u");
    slug = slug.replace(/ý|ỳ|ỷ|ỹ|ỵ/gi, "y");
    slug = slug.replace(/đ/gi, "d");
    slug = slug.replace(/\`|\~|\!|\@|\#|\||\$|\%|\^|\&|\*|\(|\)|\+|\=|\,|\.|\/|\?|\>|\<|\'|\"|\:|\;|_/gi, "");
    slug = slug.replace(/ /gi, character);
    slug = slug.replace(/\-+/gi, character);
    slug = "@" + slug + "@";
    slug = slug.replace(/\@\-|\-\@|\@/gi, "");
    return slug;
}
exports.toVietnameseSlug = toVietnameseSlug;
function makeid(length) {
    let result = '';
    const characters = 'abcdefghijklmnopqrstuvwxyz0123456789';
    const charactersLength = characters.length;
    for (let i = 0; i < length; i++) {
        result += characters.charAt(Math.floor(Math.random() * charactersLength));
    }
    return result;
}
function toSlugFile(fileName) {
    const parseFiles = fileName.split(".");
    if (parseFiles.length === 1)
        return toVietnameseSlug(fileName);
    const extFile = "." + parseFiles[parseFiles.length - 1];
    const newFileName = toVietnameseSlug(fileName.replace(extFile, ""));
    return newFileName + "-" + makeid(5) + extFile;
}
exports.toSlugFile = toSlugFile;
